%define name		jsse
%define version		1.0.3.01
%define cvs_version	1_0_3_01
%define foo_version	1.0.3_01
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java Secure Socket Extension
License:	Sun Binary Code License
Group:		Security/Cryptography
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{cvs_version}-gl.zip
NoSource:	0
URL:		http://java.sun.com/products/jsse/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The JavaTM Secure Socket Extension (JSSE) is a Java package that
enables secure Internet communications. It implements a Java version of
SSL (Secure Sockets Layer) and TLS (Transport Layer Security) protocols
and includes functionality for data encryption, server authentication,
message integrity, and optional client authentication. Using JSSE,
developers can provide for the secure passage of data between a client
and a server running any application protocol (such as HTTP, Telnet,
NNTP, and FTP) over TCP/IP.
Recent modifications in the United States export regulations now allow
Sun to include stronger cryptographic algorithms in the global version
of JSSE. Note that while there are two downloads, a domestic (US/Canada)
and a global version, they provide the same encryption strength. The
domestic version supports alternate SSL security providers; the global
version supports only the Sun SSL provider.
This is the global version.

Caution, this package doesn't contain any non-distributable sources. You
have to download them and rebuild before use.

%package manual
Group:		Security/Cryptography
Summary:	Manual for %{name}

%description manual
Manual for %{name}.

%package javadoc
Group:		Development/Documentation
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}%{foo_version}

%build
# Not :(

%install
mkdir -p $RPM_BUILD_ROOT%{javadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp lib/jcert.jar $RPM_BUILD_ROOT%{javadir}/%{name}/jcert-%{version}.jar
cp lib/jnet.jar $RPM_BUILD_ROOT%{javadir}/%{name}/jnet-%{version}.jar
cp lib/jsse.jar $RPM_BUILD_ROOT%{javadir}/%{name}/jsse-%{version}.jar
cp -pr doc/apidoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}/
# jar versioning
(cd $RPM_BUILD_ROOT%{javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%files
%defattr(0644,root,root,0755)
%doc *.html *.txt
%{javadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc doc/guide/*

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-%{version}

%changelog
* Thu Nov  7 2002 Ville Skytt <ville.skytta at iki.fi> - 1.0.3.01-1jpp
- Update to 1.0.3.01.
- Use sed instead of bash 2 extension when symlinking jars during build.

* Sun Sep 08 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.3-1jpp
- 1.0.3 (thanks Jason Corley <Jason.Corley@togethersoft.com>)
- no macro in url tag


* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-8jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-7jpp 
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-6jpp
- no source package
- jars in %{name} subdir
- javadoc into javadoc package
- no dependencies for manual and javadoc packages
- standardised summary

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-5jpp
- first unified release
- fixed perm problems

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-4mdk
- s/jPackage/JPackage/
- spec cleanup

* Tue Jul 24 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-3mdk
- used original archive
- s/Copyright/License
- truncated despcription length to 72 columns
- updated description for cryptography legal blah-blah
- versionning

* Sat Mar 10 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-2mdk
- vendor tag
- packager tag

* Mon Feb 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-1mdk
- first Mandrake release


